Uploaded image for project: 'Geronimo-Devtools'
  1. Geronimo-Devtools
  2. GERONIMODEVTOOLS-507

Ship only one feature that provides v20 and v21 server support

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.1.3
    • Fix Version/s: 2.1.3
    • Component/s: eclipse-plugin
    • Labels:
      None

      Description

      The v20 feature requires all of the v21 feature. GERONIMODEVTOOLS-499 provided that fix. Now, the v20 feature provides both v20 and v21 server support, while the v21 feature provides support for v21 only. This is inconsistent, and provides some confusion. GERONIMODEVTOOLS-506 suggests that the v20 feature should provide support for v20 only. Another option is this one, where we only ship one feature, and it supports both v20 and v21. I think this approach is better than GERONIMODEVTOOLS-506. Providing v20 support only would require copying code from v21. It is simpler to provide one feature that supports both.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                tkirby Ted Kirby
                Reporter:
                tkirby Ted Kirby
              • Votes:
                0 Vote for this issue
                Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: